gnutls_openpgp_keyring_check_id(3)

NAME
gnutls_openpgp_keyring_check_id - Check if a key id exists in the keyring

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_keyring_check_id(gnutls_openpgp_keyring_t ring, const unsigned char keyid[8], unsigned int flags);

ARGUMENTS

gnutls_openpgp_keyring_t ring
    holds the keyring to check against

const unsigned char keyid[8]

unsigned int flags
    unused (should be 0)

DESCRIPTION
Check if a given key ID exists in the keyring. Returns 0 on success (if keyid exists) and a negative error code on failure.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.